summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorLars Wirzenius <lars.wirzenius@codethink.co.uk>2012-05-15 23:30:12 +0300
committerLars Wirzenius <lars.wirzenius@codethink.co.uk>2012-05-15 23:30:12 +0300
commit7592555e581f9b22ce2e699799d255d90cf2bab4 (patch)
tree39118485ace7ec63bc816e7efec8b2ef5bf4effd /tests
parentbc69a6e4f9eb6c9e317134aa6515349ae3ed9691 (diff)
downloadmorph-7592555e581f9b22ce2e699799d255d90cf2bab4.tar.gz
Add test case for autotools buildsystem handling autogen.sh failing
Diffstat (limited to 'tests')
-rw-r--r--tests/build-system-autotools-fails-if-autogen-fails.exit1
-rwxr-xr-xtests/build-system-autotools-fails-if-autogen-fails.script38
2 files changed, 39 insertions, 0 deletions
diff --git a/tests/build-system-autotools-fails-if-autogen-fails.exit b/tests/build-system-autotools-fails-if-autogen-fails.exit
new file mode 100644
index 00000000..d00491fd
--- /dev/null
+++ b/tests/build-system-autotools-fails-if-autogen-fails.exit
@@ -0,0 +1 @@
+1
diff --git a/tests/build-system-autotools-fails-if-autogen-fails.script b/tests/build-system-autotools-fails-if-autogen-fails.script
new file mode 100755
index 00000000..d2a0e6a1
--- /dev/null
+++ b/tests/build-system-autotools-fails-if-autogen-fails.script
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# Test that the autotools build system fails if it runs autogen.sh and that
+# fails.
+#
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+set -eu
+
+x="$DATADIR/autogen-chunk"
+mkdir "$x"
+cat <<EOF > "$x/autogen.sh"
+#!/bin/sh
+echo "in failing autogen.sh"
+exit 1
+EOF
+chmod a+x "$x/autogen.sh"
+"$SRCDIR/scripts/run-git-in" "$x" init --quiet
+"$SRCDIR/scripts/run-git-in" "$x" add .
+"$SRCDIR/scripts/run-git-in" "$x" commit --quiet -m initial
+
+"$SRCDIR/scripts/test-morph" build test:autogen-chunk master detected.morph \
+ 2> /dev/null
+